Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::SizedIterable Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::SizedIterable:

## Public Types
template<typename T >
using | size_t = decltype(size(val< T >()))
Public Types inherited from ranges::v3::concepts::refines< Iterable >
using | base_concepts_t = meta::list< Concepts...>

## Public Member Functions
template<typename T >
auto | requires_ (T &&t) -> decltype(concepts::valid_expr(concepts::model_of< Integral >(size(t)), concepts::is_true(is_sized_iterable< T >())))
Public Member Functions inherited from ranges::v3::concepts::refines< Iterable >
void | requires_ (Ts &&...)